summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2013-10-10 06:10:00 +0000
committerMichał Górny <mgorny@gentoo.org>2013-10-10 06:10:00 +0000
commitf6dc006e898d6fb22fef0d0501f1a4b9466b6d7e (patch)
tree8f278e35d629cbd69657e8251b4c55f919978938 /eclass/distutils-r1.eclass
parentActually add 4.4.11.1 this time. (diff)
downloadhistorical-f6dc006e898d6fb22fef0d0501f1a4b9466b6d7e.tar.gz
historical-f6dc006e898d6fb22fef0d0501f1a4b9466b6d7e.tar.bz2
historical-f6dc006e898d6fb22fef0d0501f1a4b9466b6d7e.zip
Do not alter HOME and TMPDIR when single impl is being used. This may work-around bug #487260.
Diffstat (limited to 'eclass/distutils-r1.eclass')
-rw-r--r--eclass/distutils-r1.eclass10
1 files changed, 6 insertions, 4 deletions
diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index 4947eedcb624..acc791b93b3e 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.86 2013/09/28 19:11:05 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.87 2013/10/10 06:10:00 mgorny Exp $
# @ECLASS: distutils-r1
# @MAINTAINER:
@@ -544,10 +544,12 @@ distutils-r1_run_phase() {
fi
local -x PYTHONPATH="${BUILD_DIR}/lib:${PYTHONPATH}"
- local -x TMPDIR=${T}/${EPYTHON}
- local -x HOME=${TMPDIR}/home
+ if [[ ! ${DISTUTILS_SINGLE_IMPL} ]]; then
+ local -x TMPDIR=${T}/${EPYTHON}
+ local -x HOME=${TMPDIR}/home
- mkdir -p "${TMPDIR}" "${HOME}" || die
+ mkdir -p "${TMPDIR}" "${HOME}" || die
+ fi
"${@}"